using APT.Infrastructure.Core;
using APT.Infrastructure.Utility;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities
{
	/// <summary>
	/// 页面列表区域表
	/// </summary>
	[Description("页面列表区域表 ")]
	[Redis("PAGE_TABLE_ID", "ID")]
	[APT.Infrastructure.Api.RootOrg]
	[IgnoreT4] public class T_PF_PAGE_TABLE_PANEL : MesEntityBase
	{
		/// <summary>
		/// 表ID字段
		/// </summary>
		public Guid PAGE_TABLE_ID { get; set; }

		/// <summary>
		/// 显示名称
		/// </summary>
		[Description("显示名称")]
		public string LABEL { get; set; }

		/// <summary>
		/// 是否默认展开
		/// </summary>
		[Description("是否默认展开")]
		public bool IS_DEFAULT_EXPAND { get; set; }

		/// <summary>
		/// 是否显示
		/// </summary>
		[Description("是否显示")]
		public bool IS_DISPLAY { get; set; }



		/// <summary>
		/// 顺序 
		/// </summary>
		[Description("顺序")]
		public int NUM { get; set; }


		/// <summary>
		/// 导航属性：列表页面
		/// </summary>
		[Description("导航属性:列表页面")]
		public virtual T_PF_PAGE_TABLE Nav_PageTable { get; set; }

		[Description("源ID")]
		public Guid? SRC_ID { get; set; }
	}
}
